Subject: Re: Cant represent SWi relocation in object file, syscall.S - glibc

From: "vanitha raju" <[email-masked]>
Date: Sun, 25 Jun 2000 08:12:01 PDT

__NR_syscall - would it be equivalent to __NR_afs_syscall (Andrew file 
system)? __NR_afs_syscall is defined in the unistd.h. A similar kind of 
setup that I am trying to install on my machine seems to work on another 
machine.

-vanitha

>From: Philip Blundell <[email-masked]>
>To: "vanitha raju" <[email-masked]>
>CC: [email-masked]
>Subject: Re: Cant represent SWi relocation in object file, syscall.S - 
>glibc
>Date: Sun, 25 Jun 2000 15:25:42 +0100
>MIME-Version: 1.0
>Received: from [193.166.0.145] by hotmail.com (3.2) with ESMTP id 
>MHotMailBB1F61270061D820F3D8C1A60091AD720; Sun Jun 25 07:24:40 2000
>Received: from vger.rutgers.edu ([128.6.190.2]:22607 "EHLO 
>vger.rutgers.edu"ident: "NO-IDENT-SERVICE[2]" smtp-auth: <none> TLS-CIPHER: 
><none>)by nic.funet.fi with ESMTP id <S10370AbQFYOYX>;Sun, 25 Jun 2000 
>17:24:23 +0300
>Received: ([email-masked]) by vger.rutgers.edu via listexpandid 
><S160042AbQFYORM>; Sun, 25 Jun 2000 10:17:12 -0400
>Received: by vger.rutgers.edu id <S155945AbQFYOO5>;Sun, 25 Jun 2000 
>10:14:57 -0400
>Received: from tazenda.demon.co.uk ([158.152.220.239]:2144 
>"EHLOtazenda.demon.co.uk") by vger.rutgers.edu with ESMTPid 
><S157664AbQFYOO3>; Sun, 25 Jun 2000 10:14:29 -0400
>Received: from kings-cross.london.uk.eu.org [::ffff:192.168.2.83]by 
>tazenda.demon.co.uk with esmtp (Exim 3.11 #1 (Debian))id 136DM0-0001mL-00; 
>Sun, 25 Jun 2000 15:25:44 +0100
>Received: from localhost([::ffff:127.0.0.1] 
>helo=kings-cross.london.uk.eu.org ident=phil)by 
>kings-cross.london.uk.eu.org with esmtp (Exim 3.12 #1)id 136DLy-0007aC-00; 
>Sun, 25 Jun 2000 15:25:42 +0100
>From [email-masked] Sun Jun 25 07:25:01 2000
>X-Mailer: exmh version 2.1.1 10/15/1999 (debian)
>In-Reply-To: Message from "vanitha raju" <[email-masked]>   of "Sun, 
>25 Jun 2000 07:03:31 PDT." <[email-masked]>
>References: <[email-masked]>
>Message-Id: <[email-masked]>
>Sender:	[email-masked]
>Precedence: bulk
>X-Loop:	[email-masked]
>
> >When compiling glibc, 2.1.3 I get the following error message:
> >"make - error in syscall.S. Cannot represnt SWI relocation in this
> >object file format."
> >
> >From one of the mails in the archive, with a similar problem, unistd.h is
> >pointed to as the problem. I dont know why/ how.
>
>The syscall numbers are defined in asm/unistd.h.  That error message means
>that one of them (__NR_syscall in your case) is missing.  This is 
>inevitably
>caused by an outdated header file.
>
>p.
>
>
>
>unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
>++        Please use [email-masked] for           
>++
>++                        kernel-related discussions.                      
>++

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Sun, 25 Jun 2000 16:18:16 +0100 (BST)

> setup that I am trying to install on my machine seems to work on another 

Dunno, but:

1. Which kernel header files are you compiling against?
2. Are you sure you're compiling glibc against a kernel configured for ARM
   and not your native architecture.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Philip Blundell <[email-masked]>
Date: Sun, 25 Jun 2000 16:39:43 +0100

>system)?

No, they are quite different.  __NR_syscall is #113.

p.